Imagick::setImageAlphaChannel
Imagick::setImageBackgroundColor
Imagick
PHP Manual

# Imagick::setImageArtifact

(No version information available, might only be in SVN)

Imagick::setImageArtifact — Set image artifact

### Description

bool Imagick::setImageArtifact ( string `$artifact` , string `$value` )

Associates an artifact with the image. The difference between image properties and image artifacts is that properties are public and artifacts are private. This method is available if Imagick has been compiled against ImageMagick version 6.5.7 or newer.

### Parameters

`artifact`

  The name of the artifact

`value`

  The value of the artifact

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

### See Also

- Imagick::getImageArtifact() - Get image artifact
- Imagick::deleteImageArtifact() - Delete image artifact

Imagick::setImageAlphaChannel
Imagick::setImageBackgroundColor
Imagick
PHP Manual